<?php
session_start();
require("../../database/dbConection.php");

$UsuarioLogado = $_SESSION['idUsuarioLogado'];

$htmlTabela = "";
$opcaoBuscaAgenfamento  = $_POST['opcaoBuscaAgenfamento'];
switch($opcaoBuscaAgenfamento){
  case "encontrar-paciente":
    $selOpcao     = $_POST['selOpcao'];
    $cnsPaciente  = str_replace(".","",$_POST['cnsPaciente']);
    $cnsPaciente  = str_replace("-","",$cnsPaciente);
    $cnsPaciente  = str_replace("_","",$cnsPaciente);
    $cnsPaciente  = str_replace(" ","",$cnsPaciente);
    $cpfPaciente  = str_replace("-","",$_POST['cpfPaciente']);
    $cpfPaciente  = str_replace(".","",$cpfPaciente);

    if($selOpcao=="radio-cns"){
      $sqlPacienteExistente = "SELECT id_paciente, nome_paciente, date_format(datanasc,'%d/%m/%Y') AS dataNascimento FROM tb_paciente  WHERE cns_paciente='$cnsPaciente'";
    }else if($selOpcao=="radio-cpf"){
      $sqlPacienteExistente = "SELECT id_paciente, nome_paciente, date_format(datanasc,'%d/%m/%Y') AS dataNascimento  FROM tb_paciente  WHERE cpf_paciente='$cpfPaciente'";
    }
    $stmTemPaciente = $rsConexao->prepare($sqlPacienteExistente);
    $stmTemPaciente ->execute();
    $totalRegistros = $stmTemPaciente->rowCount();
    
    if($totalRegistros>0){
      $stmDadosPaciente = $rsConexao->prepare($sqlPacienteExistente);
      $stmDadosPaciente ->execute();      
      $rsDadosPaciente  = $stmDadosPaciente->fetch(PDO::FETCH_OBJ);
      echo $rsDadosPaciente->id_paciente . "##" . $rsDadosPaciente->nome_paciente . "##" . $rsDadosPaciente->dataNascimento;
    }else{
      echo "NaoExistePaciente";
    }
  break;

  case "encontrar-agendamentos":
    $concatenaDadosEntrega = "status";
    $formatarOrigem = array(
      'lista_unica'=>'LISTA ÚNICA',
      'policlinica'=>'POLICLÍNICA',
      'sisreg'=>'SISREG',
      'sistema_vida'=>'VIDA+',
    );

    $idPaciente         = $_POST['idPaciente'];
    $statusAgendamento  = $_POST['statusAgendamento']=="todos" ? "" : $_POST['statusAgendamento'];
    $sqlAgendamentos    = "SELECT reg_tb_agendamentos.*, date_format(data_retirada,'%d/%m/%Y') AS dataRetirada, reg_tb_procedimento.nome_procedimento FROM reg_tb_agendamentos INNER JOIN reg_tb_procedimento  ON (reg_tb_agendamentos.id_procedimento=reg_tb_procedimento.id_procedimento) WHERE id_paciente='$idPaciente' AND status_agendamento LIKE '%$statusAgendamento%'";

    $stmAgendamentos    = $rsConexao->prepare($sqlAgendamentos);
    $stmAgendamentos    -> execute();
    $totalAgendamentos  = $stmAgendamentos->rowCount();
    $rsAgendamentos     = $stmAgendamentos->fetchAll(PDO::FETCH_ASSOC);
    if($totalAgendamentos>0){
      foreach($rsAgendamentos as $fieldAgendamento){
        $idAgendamento      = $fieldAgendamento['id_agendamento'];
        $numeroSolicitacao  = $fieldAgendamento['numero_solicitacao'];
        $nomeProcedimento   = mb_strtoupper($fieldAgendamento['nome_procedimento']);
        $prazoRetirada      = $fieldAgendamento['dataRetirada'];
        $sistemaOrigem      = $formatarOrigem[$fieldAgendamento['origem_agendamento']];
        $statusAgengamentoX = mb_strtoupper($fieldAgendamento['status_agendamento']);

        if($statusAgengamentoX=="ENTREGUE"){
          $concatenaDadosEntrega = $fieldAgendamento['data_entrega']."##".mb_strtoupper($fieldAgendamento['nome_portador'])."##";
          $concatenaDadosEntrega .= $fieldAgendamento['rg_portador']."##".$fieldAgendamento['telefone_portador'];
        }else{
          $concatenaDadosEntrega = "status";
        }
        
        if($statusAgengamentoX!="CANCELADO" && $statusAgengamentoX!="ENTREGUE" && $statusAgengamentoX!="CANCELAR"){
          $linkRegistrarEntrega = 'onclick="registrarEntregaMarcacao('."'$idPaciente')" . '"';
          $linkRegistrarEntrega = "<i class='icofont icofont-checked nova_fonte' title='Registrar entrega de marcação.' $linkRegistrarEntrega></i>&nbsp;";
        }else{
          $linkRegistrarEntrega="";
        }        
        echo "<tr>
          <td style='text-align:center'>
            $linkRegistrarEntrega
          </td>
          <td style='text-align:center'>$numeroSolicitacao</td>
          <td>$nomeProcedimento</td>
          <td style='text-align:center'>$prazoRetirada</td>
          <td>$statusAgengamentoX</td>
          <td>$sistemaOrigem</td>
        </tr>";
      }
    }else{
      echo "NaoExisteAgendamento";
    }
  break;
}


?>
